import type { ComponentStackFrame } from '../../helpers/parse-component-stack';
/**
 *
 * Format component stack into pseudo HTML
 * component stack is an array of strings, e.g.: ['p', 'p', 'Page', ...]
 *
 * Will render it for the code block
 *
 * <pre>
 *  <code>{`
 *    <Page>
 *       <p>
 *       ^^^^
 *         <p>
 *         ^^^^
 *  `}</code>
 * </pre>
 *
 */
export declare function PseudoHtml({ componentStackFrames, serverTagName, clientTagName, ...props }: {
    componentStackFrames: ComponentStackFrame[];
    serverTagName?: string;
    clientTagName?: string;
    [prop: string]: any;
}): import("react/jsx-runtime").JSX.Element;
